> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete customer property definition

> Deletes a customer property definition. It will no longer be returned by any definition-listing response. Required scope: `customers:rw`.



## OpenAPI

````yaml /api/customer-data-platform/openapi.json post /v1/delete_customer_property_definition
openapi: 3.0.0
info:
  title: Customer Data Platform API
  description: A service for collecting, storing, and managing end-user data.
  version: 0.0.1
servers:
  - url: https://api.text.com/cdp
    description: Main production server URL
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken:
      - customers:ro
paths:
  /v1/delete_customer_property_definition:
    post:
      tags:
        - Customer properties
      summary: Delete customer property definition
      description: >-
        Deletes a customer property definition. It will no longer be returned by
        any definition-listing response. Required scope: `customers:rw`.
      operationId: deleteCustomerPropertyDefinition
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteCustomerPropertyRequest'
            example:
              id: 9b1c9e0a-3a4b-4f0e-9b6f-1f6c8a2b0d11
      responses:
        '200':
          description: The property was deleted.
        '401':
          description: Invalid access token
        '403':
          description: Insufficient scopes
        '404':
          description: Customer property not found
        '422':
          description: Invalid request body
        '500':
          description: Internal error
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - customers:rw
components:
  schemas:
    DeleteCustomerPropertyRequest:
      type: object
      required:
        - id
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
          description: Identifier of the property to delete.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes: {}
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes: {}

````